# Custom strings settings

As part of its core functionality, Runway is capable of creating a number of artifacts on your behalf, like pull requests during automatic bump version or promote code actions, git tags during automatic tagging at the end of the release cycle, and more. These artifacts are populated with default strings, but you can customize the content of any of these strings to suit your team’s needs.

{% hint style="info" %}
For any given string, there are a number of tokens available. In the final artifact, these tokens will be replaced with relevant values for the release or app in question.
{% endhint %}

A complete list of strings that can be customized (including default strings and available tokens for each) can be found in the table below.

<table><thead><tr><th width="217.33333333333331">String type</th><th width="229">Default value</th><th>Available tokens</th></tr></thead><tbody><tr><td>Bump version PR title</td><td><em>Bump version to {version}</em></td><td><ul><li><code>{version}</code></li><li><code>{versionConcise}</code></li><li><code>{releaseName}</code></li><li><code>{releasePilot}</code></li><li><code>{releaseBranchName}</code></li><li><code>{workingBranchName}</code></li></ul></td></tr><tr><td>Bump version PR body</td><td><em>Runway bumped your version to {version}</em></td><td><ul><li><code>{version}</code></li><li><code>{versionConcise}</code></li><li><code>{releaseName}</code></li><li><code>{releasePilot}</code></li><li><code>{releaseBranchName}</code></li><li><code>{workingBranchName}</code></li></ul></td></tr><tr><td>Bump version commit message</td><td><em>Bumping version to {version}</em></td><td><ul><li><code>{version}</code></li><li><code>{versionConcise}</code></li><li><code>{releaseName}</code></li><li><code>{releasePilot}</code></li><li><code>{releaseBranchName}</code></li><li><code>{workingBranchName}</code></li></ul></td></tr><tr><td>Promote code PR title</td><td><em>{workingBranchName} ->{releaseBranchName} for release {version}</em></td><td><ul><li><code>{version}</code></li><li><code>{versionConcise}</code></li><li><code>{releaseName}</code></li><li><code>{releasePilot}</code></li><li><code>{releaseBranchName}</code></li><li><code>{workingBranchName}</code></li></ul></td></tr><tr><td>Promote code PR body</td><td><em>Runway promoted <code>{workingBranchName}</code> to <code>{releaseBranchName}</code> for release {version}</em></td><td><ul><li><code>{version}</code></li><li><code>{versionConcise}</code></li><li><code>{releaseName}</code></li><li><code>{releasePilot}</code></li><li><code>{releaseBranchName}</code></li><li><code>{workingBranchName}</code></li></ul></td></tr><tr><td>Backmerge PR title</td><td><em>Backmerge {releaseBranchName} to {workingBranchName}</em></td><td><ul><li><code>{version}</code></li><li><code>{versionConcise}</code></li><li><code>{releaseName}</code></li><li><code>{appStoreBuildNumber}</code></li><li><code>{ciBuildNumber}</code></li><li><code>{releasePilot}</code></li><li><code>{releaseBranchName}</code></li><li><code>{workingBranchName}</code></li></ul></td></tr><tr><td>Backmerge PR body</td><td><em>Runway backmerged release branch <code>{releaseBranchName}</code> to working branch <code>{workingBranchName}</code></em></td><td><ul><li><code>{version}</code></li><li><code>{versionConcise}</code></li><li><code>{releaseName}</code></li><li><code>{appStoreBuildNumber}</code></li><li><code>{ciBuildNumber}</code></li><li><code>{releasePilot}</code></li><li><code>{releaseBranchName}</code></li><li><code>{workingBranchName}</code></li></ul></td></tr><tr><td>VCS Release title</td><td><em>Release {version}</em></td><td><ul><li><code>{version}</code></li><li><code>{versionConcise}</code></li><li><code>{releaseName}</code></li><li><code>{appStoreBuildNumber}</code></li><li><code>{ciBuildNumber}</code></li><li><code>{releasePilot}</code></li><li><code>{releaseBranchName}</code></li><li><code>{workingBranchName}</code></li></ul></td></tr><tr><td>VCS release body</td><td><em><mark style="color:yellow;">The default string for the VCS release body is dynamically generated from the list of commits and any associated tickets in the diff for the release.</mark></em></td><td><ul><li><code>{version}</code></li><li><code>{versionConcise}</code></li><li><code>{releaseName}</code></li><li><code>{appStoreBuildNumber}</code></li><li><code>{ciBuildNumber}</code></li><li><code>{releasePilot}</code></li><li><code>{releaseBranchName}</code></li><li><code>{workingBranchName}</code></li><li><code>{workItems}</code><strong>*</strong></li></ul></td></tr><tr><td>Git tag message</td><td><em>Release {version} tagged by Runway</em></td><td><ul><li><code>{version}</code></li><li><code>{versionConcise}</code></li><li><code>{releaseName}</code></li><li><code>{appStoreBuildNumber}</code></li><li><code>{ciBuildNumber}</code></li><li><code>{releasePilot}</code></li><li><code>{releaseBranchName}</code></li><li><code>{workingBranchName}</code></li></ul></td></tr><tr><td>Release summary</td><td>The release summary generated by Runway at the end of each release</td><td><ul><li><code>{version}</code></li><li><code>{versionConcise}</code></li><li><code>{releaseName}</code></li><li><code>{appStoreBuildNumber}</code></li><li><code>{ciBuildNumber}</code></li><li><code>{releasePilot}</code></li><li><code>{releaseBranchName}</code></li><li><code>{workingBranchName}</code></li><li><code>{workItems}</code></li><li><code>{appName}</code></li><li><code>{appPlatform}</code></li><li><code>{workItemsCount</code></li><li><code>{issuesCount}</code></li><li><code>{commitsCount</code></li><li><code>{contributorsCount</code></li><li><code>{linesOfCodeCount</code></li><li><code>{releaseNotes</code></li><li><code>{releaseDuration}</code></li><li><code>{releasedAt</code></li><li><code>{releaseWorkItemsLink}</code></li><li><code>{releaseAppStoreLink</code></li><li><code>{releaseVCSReleaseLink}</code></li></ul></td></tr><tr><td>Cherry-pick PR title</td><td><p>The title of the cherry-pick PR created by Runway. </p><p></p><p>The default string for the cherry-pick PR title is dynamically generated from the code items that were cherry-picked as part of this work.</p></td><td><p></p><ul><li><code>{version}</code></li><li><code>{versionConcise}</code></li><li><code>{releaseName</code></li><li><code>{releasePilot</code></li><li><code>{releaseBranchName</code></li><li><code>{workingBranchName}</code></li><li><code>{prTitleOrCommitMessage}</code></li></ul></td></tr><tr><td>Cherry-pick PR body</td><td><p>The contents of the cherry-pick PR body for the PR created by Runway. </p><p></p><p>The default string for the cherry-pick PR body is dynamically generated from the list of commits that were cherry-picked as part of this work.</p></td><td><p></p><ul><li><code>{version}</code></li><li><code>{versionConcise}</code></li><li><code>{releaseName</code></li><li><code>{releasePilot</code></li><li><code>{releaseBranchName</code></li><li><code>{workingBranchName}</code></li><li><code>{prTitleOrCommitMessage}</code></li><li><code>{prBodyOrCommitHash}</code></li></ul></td></tr><tr><td>Cherry-pick commit message</td><td>The commit message for commits cherry-picked by Runway</td><td><ul><li><code>{commitMessage}</code></li></ul></td></tr></tbody></table>

**\*** The `{workItems}` token pulls in a markdown-formatted list of commits in the release diff, with any associated project management tickets also linked. You can filter these items using a modifier trailing the token. For example:

* `{workItems}[[bug]]` – will only include items containing the string `[bug]` in their commit message
* `{workItems}[bug,fix]` – will only include items containing the string `bug` or `fix` in their commit message
* `{workItems}[!bug]` – will only include items that *do not* contain the string `bug` in their commit message

Note that filtering is case *insensitive*.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.runway.team/using-runway/app-settings/custom-strings-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
